PCRE_GET_SUBSTRING(3)

NAME
PCRE - Perl-compatible regular expressions

SYNOPSIS

#include <pcre.h>

int pcre_get_substring(const char *subject, int *ovector,
int stringcount, int stringnumber,
const char **stringptr);

DESCRIPTION

This is a convenience function for extracting a captured substring. The arguments are:

  subject Subject that has been successfully matched
  ovector Offset vector that pcre_exec() used
  stringcount Value returned by pcre_exec()
  stringnumber Number of the required substring
  stringptr Where to put the string pointer

The memory in which the substring is placed is obtained by calling pcre_malloc(). The yield of the function is the length of the substring, PCRE_ERROR_NOMEMORY if sufficient memory could not be obtained, or PCRE_ERROR_NOSUBSTRING if the string number is invalid.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.